NISTObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.nist

## Interface NISTObjectIdentifiers

-     public interface NISTObjectIdentifiers

  NIST: iso/itu(2) joint-assign(16) us(840) organization(1) gov(101) csor(3)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `aes` 2.16.840.1.101.3.4.1
    `static ASN1ObjectIdentifier` | `dsa_with_sha224` 2.16.840.1.101.3.4.3.1
    `static ASN1ObjectIdentifier` | `dsa_with_sha256` 2.16.840.1.101.3.4.3.2
    `static ASN1ObjectIdentifier` | `dsa_with_sha384` 2.16.840.1.101.3.4.3.3
    `static ASN1ObjectIdentifier` | `dsa_with_sha512` 2.16.840.1.101.3.4.3.4
    `static ASN1ObjectIdentifier` | `hashAlgs` 2.16.840.1.101.3.4.2
    `static ASN1ObjectIdentifier` | `id_aes128_CBC` 2.16.840.1.101.3.4.1.2
    `static ASN1ObjectIdentifier` | `id_aes128_CCM` 2.16.840.1.101.3.4.1.7
    `static ASN1ObjectIdentifier` | `id_aes128_CFB` 2.16.840.1.101.3.4.1.4
    `static ASN1ObjectIdentifier` | `id_aes128_ECB` 2.16.840.1.101.3.4.1.1
    `static ASN1ObjectIdentifier` | `id_aes128_GCM` 2.16.840.1.101.3.4.1.6
    `static ASN1ObjectIdentifier` | `id_aes128_GMAC` 2.16.840.1.101.3.4.1.9
    `static ASN1ObjectIdentifier` | `id_aes128_OFB` 2.16.840.1.101.3.4.1.3
    `static ASN1ObjectIdentifier` | `id_aes128_wrap` 2.16.840.1.101.3.4.1.5
    `static ASN1ObjectIdentifier` | `id_aes128_wrap_pad` 2.16.840.1.101.3.4.1.8
    `static ASN1ObjectIdentifier` | `id_aes192_CBC` 2.16.840.1.101.3.4.1.22
    `static ASN1ObjectIdentifier` | `id_aes192_CCM` 2.16.840.1.101.3.4.1.27
    `static ASN1ObjectIdentifier` | `id_aes192_CFB` 2.16.840.1.101.3.4.1.24
    `static ASN1ObjectIdentifier` | `id_aes192_ECB` 2.16.840.1.101.3.4.1.21
    `static ASN1ObjectIdentifier` | `id_aes192_GCM` 2.16.840.1.101.3.4.1.26
    `static ASN1ObjectIdentifier` | `id_aes192_GMAC` 2.16.840.1.101.3.4.1.29
    `static ASN1ObjectIdentifier` | `id_aes192_OFB` 2.16.840.1.101.3.4.1.23
    `static ASN1ObjectIdentifier` | `id_aes192_wrap` 2.16.840.1.101.3.4.1.25
    `static ASN1ObjectIdentifier` | `id_aes192_wrap_pad` 2.16.840.1.101.3.4.1.28
    `static ASN1ObjectIdentifier` | `id_aes256_CBC` 2.16.840.1.101.3.4.1.42
    `static ASN1ObjectIdentifier` | `id_aes256_CCM` 2.16.840.1.101.3.4.1.47
    `static ASN1ObjectIdentifier` | `id_aes256_CFB` 2.16.840.1.101.3.4.1.44
    `static ASN1ObjectIdentifier` | `id_aes256_ECB` 2.16.840.1.101.3.4.1.41
    `static ASN1ObjectIdentifier` | `id_aes256_GCM` 2.16.840.1.101.3.4.1.46
    `static ASN1ObjectIdentifier` | `id_aes256_GMAC` 2.16.840.1.101.3.4.1.49
    `static ASN1ObjectIdentifier` | `id_aes256_OFB` 2.16.840.1.101.3.4.1.43
    `static ASN1ObjectIdentifier` | `id_aes256_wrap` 2.16.840.1.101.3.4.1.45
    `static ASN1ObjectIdentifier` | `id_aes256_wrap_pad` 2.16.840.1.101.3.4.1.48
    `static ASN1ObjectIdentifier` | `id_alg_ml_kem_1024` 2.16.840.1.101.3.4.4.3
    `static ASN1ObjectIdentifier` | `id_alg_ml_kem_512` 2.16.840.1.101.3.4.4.1
    `static ASN1ObjectIdentifier` | `id_alg_ml_kem_768` 2.16.840.1.101.3.4.4.2
    `static ASN1ObjectIdentifier` | `id_dsa_with_sha2`
    `static ASN1ObjectIdentifier` | `id_dsa_with_sha3_224` 2.16.840.1.101.3.4.3.5
    `static ASN1ObjectIdentifier` | `id_dsa_with_sha3_256` 2.16.840.1.101.3.4.3.6
    `static ASN1ObjectIdentifier` | `id_dsa_with_sha3_384` 2.16.840.1.101.3.4.3.7
    `static ASN1ObjectIdentifier` | `id_dsa_with_sha3_512` 2.16.840.1.101.3.4.3.8
    `static ASN1ObjectIdentifier` | `id_ecdsa_with_sha3_224` 2.16.840.1.101.3.4.3.9
    `static ASN1ObjectIdentifier` | `id_ecdsa_with_sha3_256` 2.16.840.1.101.3.4.3.10
    `static ASN1ObjectIdentifier` | `id_ecdsa_with_sha3_384` 2.16.840.1.101.3.4.3.11
    `static ASN1ObjectIdentifier` | `id_ecdsa_with_sha3_512` 2.16.840.1.101.3.4.3.12
    `static ASN1ObjectIdentifier` | `id_hash_ml_dsa_44_with_sha512` 2.16.840.1.101.3.4.3.32
    `static ASN1ObjectIdentifier` | `id_hash_ml_dsa_65_with_sha512` 2.16.840.1.101.3.4.3.33
    `static ASN1ObjectIdentifier` | `id_hash_ml_dsa_87_with_sha512` 2.16.840.1.101.3.4.3.34
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_sha2_128f_with_sha256` 2.16.840.1.101.3.4.3.36
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_sha2_128s_with_sha256` 2.16.840.1.101.3.4.3.35
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_sha2_192f_with_sha512` 2.16.840.1.101.3.4.3.38
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_sha2_192s_with_sha512` 2.16.840.1.101.3.4.3.37
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_sha2_256f_with_sha512` 2.16.840.1.101.3.4.3.40
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_sha2_256s_with_sha512` 2.16.840.1.101.3.4.3.39
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_shake_128f_with_shake128` 2.16.840.1.101.3.4.3.42
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_shake_128s_with_shake128` 2.16.840.1.101.3.4.3.41
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_shake_192f_with_shake256` 2.16.840.1.101.3.4.3.44
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_shake_192s_with_shake256` 2.16.840.1.101.3.4.3.43
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_shake_256f_with_shake256` 2.16.840.1.101.3.4.3.46
    `static ASN1ObjectIdentifier` | `id_hash_slh_dsa_shake_256s_with_shake256` 2.16.840.1.101.3.4.3.45
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA3_224` 2.16.840.1.101.3.4.2.13
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA3_256` 2.16.840.1.101.3.4.2.14
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA3_384` 2.16.840.1.101.3.4.2.15
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA3_512` 2.16.840.1.101.3.4.2.16
    `static ASN1ObjectIdentifier` | `id_Kmac128` 2.16.840.1.101.3.4.2.21
    `static ASN1ObjectIdentifier` | `id_Kmac256` 2.16.840.1.101.3.4.2.22
    `static ASN1ObjectIdentifier` | `id_KmacWithSHAKE128` 2.16.840.1.101.3.4.2.19
    `static ASN1ObjectIdentifier` | `id_KmacWithSHAKE256` 2.16.840.1.101.3.4.2.20
    `static ASN1ObjectIdentifier` | `id_ml_dsa_44` 2.16.840.1.101.3.4.3.17
    `static ASN1ObjectIdentifier` | `id_ml_dsa_65` 2.16.840.1.101.3.4.3.18
    `static ASN1ObjectIdentifier` | `id_ml_dsa_87` 2.16.840.1.101.3.4.3.19
    `static ASN1ObjectIdentifier` | `id_rsassa_pkcs1_v1_5_with_sha3_224` 2.16.840.1.101.3.4.3.13
    `static ASN1ObjectIdentifier` | `id_rsassa_pkcs1_v1_5_with_sha3_256` 2.16.840.1.101.3.4.3.14
    `static ASN1ObjectIdentifier` | `id_rsassa_pkcs1_v1_5_with_sha3_384` 2.16.840.1.101.3.4.3.15
    `static ASN1ObjectIdentifier` | `id_rsassa_pkcs1_v1_5_with_sha3_512` 2.16.840.1.101.3.4.3.16
    `static ASN1ObjectIdentifier` | `id_sha224` 2.16.840.1.101.3.4.2.4
    `static ASN1ObjectIdentifier` | `id_sha256` 2.16.840.1.101.3.4.2.1
    `static ASN1ObjectIdentifier` | `id_sha3_224` 2.16.840.1.101.3.4.2.7
    `static ASN1ObjectIdentifier` | `id_sha3_256` 2.16.840.1.101.3.4.2.8
    `static ASN1ObjectIdentifier` | `id_sha3_384` 2.16.840.1.101.3.4.2.9
    `static ASN1ObjectIdentifier` | `id_sha3_512` 2.16.840.1.101.3.4.2.10
    `static ASN1ObjectIdentifier` | `id_sha384` 2.16.840.1.101.3.4.2.2
    `static ASN1ObjectIdentifier` | `id_sha512` 2.16.840.1.101.3.4.2.3
    `static ASN1ObjectIdentifier` | `id_sha512_224` 2.16.840.1.101.3.4.2.5
    `static ASN1ObjectIdentifier` | `id_sha512_256` 2.16.840.1.101.3.4.2.6
    `static ASN1ObjectIdentifier` | `id_shake128` 2.16.840.1.101.3.4.2.11
    `static ASN1ObjectIdentifier` | `id_shake128_len` 2.16.840.1.101.3.4.2.17
    `static ASN1ObjectIdentifier` | `id_shake256` 2.16.840.1.101.3.4.2.12
    `static ASN1ObjectIdentifier` | `id_shake256_len` 2.16.840.1.101.3.4.2.18
    `static ASN1ObjectIdentifier` | `id_slh_dsa_sha2_128f` 2.16.840.1.101.3.4.3.21
    `static ASN1ObjectIdentifier` | `id_slh_dsa_sha2_128s` 2.16.840.1.101.3.4.3.20
    `static ASN1ObjectIdentifier` | `id_slh_dsa_sha2_192f` 2.16.840.1.101.3.4.3.23
    `static ASN1ObjectIdentifier` | `id_slh_dsa_sha2_192s` 2.16.840.1.101.3.4.3.22
    `static ASN1ObjectIdentifier` | `id_slh_dsa_sha2_256f` 2.16.840.1.101.3.4.3.25
    `static ASN1ObjectIdentifier` | `id_slh_dsa_sha2_256s` 2.16.840.1.101.3.4.3.24
    `static ASN1ObjectIdentifier` | `id_slh_dsa_shake_128f` 2.16.840.1.101.3.4.3.27
    `static ASN1ObjectIdentifier` | `id_slh_dsa_shake_128s` 2.16.840.1.101.3.4.3.26
    `static ASN1ObjectIdentifier` | `id_slh_dsa_shake_192f` 2.16.840.1.101.3.4.3.29
    `static ASN1ObjectIdentifier` | `id_slh_dsa_shake_192s` 2.16.840.1.101.3.4.3.28
    `static ASN1ObjectIdentifier` | `id_slh_dsa_shake_256f` 2.16.840.1.101.3.4.3.31
    `static ASN1ObjectIdentifier` | `id_slh_dsa_shake_256s` 2.16.840.1.101.3.4.3.30
    `static ASN1ObjectIdentifier` | `kems` 2.16.840.1.101.3.4.4
    `static ASN1ObjectIdentifier` | `nistAlgorithm` 2.16.840.1.101.3.4 -- algorithms
    `static ASN1ObjectIdentifier` | `sigAlgs` 2.16.840.1.101.3.4.3

- - ### Field Detail

    - #### nistAlgorithm

          static final ASN1ObjectIdentifier nistAlgorithm

      2.16.840.1.101.3.4 -- algorithms

    - #### hashAlgs

          static final ASN1ObjectIdentifier hashAlgs

      2.16.840.1.101.3.4.2

    - #### id_sha256

          static final ASN1ObjectIdentifier id_sha256

      2.16.840.1.101.3.4.2.1

    - #### id_sha384

          static final ASN1ObjectIdentifier id_sha384

      2.16.840.1.101.3.4.2.2

    - #### id_sha512

          static final ASN1ObjectIdentifier id_sha512

      2.16.840.1.101.3.4.2.3

    - #### id_sha224

          static final ASN1ObjectIdentifier id_sha224

      2.16.840.1.101.3.4.2.4

    - #### id_sha512_224

          static final ASN1ObjectIdentifier id_sha512_224

      2.16.840.1.101.3.4.2.5

    - #### id_sha512_256

          static final ASN1ObjectIdentifier id_sha512_256

      2.16.840.1.101.3.4.2.6

    - #### id_sha3_224

          static final ASN1ObjectIdentifier id_sha3_224

      2.16.840.1.101.3.4.2.7

    - #### id_sha3_256

          static final ASN1ObjectIdentifier id_sha3_256

      2.16.840.1.101.3.4.2.8

    - #### id_sha3_384

          static final ASN1ObjectIdentifier id_sha3_384

      2.16.840.1.101.3.4.2.9

    - #### id_sha3_512

          static final ASN1ObjectIdentifier id_sha3_512

      2.16.840.1.101.3.4.2.10

    - #### id_shake128

          static final ASN1ObjectIdentifier id_shake128

      2.16.840.1.101.3.4.2.11

    - #### id_shake256

          static final ASN1ObjectIdentifier id_shake256

      2.16.840.1.101.3.4.2.12

    - #### id_hmacWithSHA3_224

          static final ASN1ObjectIdentifier id_hmacWithSHA3_224

      2.16.840.1.101.3.4.2.13

    - #### id_hmacWithSHA3_256

          static final ASN1ObjectIdentifier id_hmacWithSHA3_256

      2.16.840.1.101.3.4.2.14

    - #### id_hmacWithSHA3_384

          static final ASN1ObjectIdentifier id_hmacWithSHA3_384

      2.16.840.1.101.3.4.2.15

    - #### id_hmacWithSHA3_512

          static final ASN1ObjectIdentifier id_hmacWithSHA3_512

      2.16.840.1.101.3.4.2.16

    - #### id_shake128_len

          static final ASN1ObjectIdentifier id_shake128_len

      2.16.840.1.101.3.4.2.17

    - #### id_shake256_len

          static final ASN1ObjectIdentifier id_shake256_len

      2.16.840.1.101.3.4.2.18

    - #### id_KmacWithSHAKE128

          static final ASN1ObjectIdentifier id_KmacWithSHAKE128

      2.16.840.1.101.3.4.2.19

    - #### id_KmacWithSHAKE256

          static final ASN1ObjectIdentifier id_KmacWithSHAKE256

      2.16.840.1.101.3.4.2.20

    - #### id_Kmac128

          static final ASN1ObjectIdentifier id_Kmac128

      2.16.840.1.101.3.4.2.21

    - #### id_Kmac256

          static final ASN1ObjectIdentifier id_Kmac256

      2.16.840.1.101.3.4.2.22

    - #### aes

          static final ASN1ObjectIdentifier aes

      2.16.840.1.101.3.4.1

    - #### id_aes128_ECB

          static final ASN1ObjectIdentifier id_aes128_ECB

      2.16.840.1.101.3.4.1.1

    - #### id_aes128_CBC

          static final ASN1ObjectIdentifier id_aes128_CBC

      2.16.840.1.101.3.4.1.2

    - #### id_aes128_OFB

          static final ASN1ObjectIdentifier id_aes128_OFB

      2.16.840.1.101.3.4.1.3

    - #### id_aes128_CFB

          static final ASN1ObjectIdentifier id_aes128_CFB

      2.16.840.1.101.3.4.1.4

    - #### id_aes128_wrap

          static final ASN1ObjectIdentifier id_aes128_wrap

      2.16.840.1.101.3.4.1.5

    - #### id_aes128_GCM

          static final ASN1ObjectIdentifier id_aes128_GCM

      2.16.840.1.101.3.4.1.6

    - #### id_aes128_CCM

          static final ASN1ObjectIdentifier id_aes128_CCM

      2.16.840.1.101.3.4.1.7

    - #### id_aes128_wrap_pad

          static final ASN1ObjectIdentifier id_aes128_wrap_pad

      2.16.840.1.101.3.4.1.8

    - #### id_aes128_GMAC

          static final ASN1ObjectIdentifier id_aes128_GMAC

      2.16.840.1.101.3.4.1.9

    - #### id_aes192_ECB

          static final ASN1ObjectIdentifier id_aes192_ECB

      2.16.840.1.101.3.4.1.21

    - #### id_aes192_CBC

          static final ASN1ObjectIdentifier id_aes192_CBC

      2.16.840.1.101.3.4.1.22

    - #### id_aes192_OFB

          static final ASN1ObjectIdentifier id_aes192_OFB

      2.16.840.1.101.3.4.1.23

    - #### id_aes192_CFB

          static final ASN1ObjectIdentifier id_aes192_CFB

      2.16.840.1.101.3.4.1.24

    - #### id_aes192_wrap

          static final ASN1ObjectIdentifier id_aes192_wrap

      2.16.840.1.101.3.4.1.25

    - #### id_aes192_GCM

          static final ASN1ObjectIdentifier id_aes192_GCM

      2.16.840.1.101.3.4.1.26

    - #### id_aes192_CCM

          static final ASN1ObjectIdentifier id_aes192_CCM

      2.16.840.1.101.3.4.1.27

    - #### id_aes192_wrap_pad

          static final ASN1ObjectIdentifier id_aes192_wrap_pad

      2.16.840.1.101.3.4.1.28

    - #### id_aes192_GMAC

          static final ASN1ObjectIdentifier id_aes192_GMAC

      2.16.840.1.101.3.4.1.29

    - #### id_aes256_ECB

          static final ASN1ObjectIdentifier id_aes256_ECB

      2.16.840.1.101.3.4.1.41

    - #### id_aes256_CBC

          static final ASN1ObjectIdentifier id_aes256_CBC

      2.16.840.1.101.3.4.1.42

    - #### id_aes256_OFB

          static final ASN1ObjectIdentifier id_aes256_OFB

      2.16.840.1.101.3.4.1.43

    - #### id_aes256_CFB

          static final ASN1ObjectIdentifier id_aes256_CFB

      2.16.840.1.101.3.4.1.44

    - #### id_aes256_wrap

          static final ASN1ObjectIdentifier id_aes256_wrap

      2.16.840.1.101.3.4.1.45

    - #### id_aes256_GCM

          static final ASN1ObjectIdentifier id_aes256_GCM

      2.16.840.1.101.3.4.1.46

    - #### id_aes256_CCM

          static final ASN1ObjectIdentifier id_aes256_CCM

      2.16.840.1.101.3.4.1.47

    - #### id_aes256_wrap_pad

          static final ASN1ObjectIdentifier id_aes256_wrap_pad

      2.16.840.1.101.3.4.1.48

    - #### id_aes256_GMAC

          static final ASN1ObjectIdentifier id_aes256_GMAC

      2.16.840.1.101.3.4.1.49

    - #### sigAlgs

          static final ASN1ObjectIdentifier sigAlgs

      2.16.840.1.101.3.4.3

    - #### id_dsa_with_sha2

          static final ASN1ObjectIdentifier id_dsa_with_sha2

    - #### dsa_with_sha224

          static final ASN1ObjectIdentifier dsa_with_sha224

      2.16.840.1.101.3.4.3.1

    - #### dsa_with_sha256

          static final ASN1ObjectIdentifier dsa_with_sha256

      2.16.840.1.101.3.4.3.2

    - #### dsa_with_sha384

          static final ASN1ObjectIdentifier dsa_with_sha384

      2.16.840.1.101.3.4.3.3

    - #### dsa_with_sha512

          static final ASN1ObjectIdentifier dsa_with_sha512

      2.16.840.1.101.3.4.3.4

    - #### id_dsa_with_sha3_224

          static final ASN1ObjectIdentifier id_dsa_with_sha3_224

      2.16.840.1.101.3.4.3.5

    - #### id_dsa_with_sha3_256

          static final ASN1ObjectIdentifier id_dsa_with_sha3_256

      2.16.840.1.101.3.4.3.6

    - #### id_dsa_with_sha3_384

          static final ASN1ObjectIdentifier id_dsa_with_sha3_384

      2.16.840.1.101.3.4.3.7

    - #### id_dsa_with_sha3_512

          static final ASN1ObjectIdentifier id_dsa_with_sha3_512

      2.16.840.1.101.3.4.3.8

    - #### id_ecdsa_with_sha3_224

          static final ASN1ObjectIdentifier id_ecdsa_with_sha3_224

      2.16.840.1.101.3.4.3.9

    - #### id_ecdsa_with_sha3_256

          static final ASN1ObjectIdentifier id_ecdsa_with_sha3_256

      2.16.840.1.101.3.4.3.10

    - #### id_ecdsa_with_sha3_384

          static final ASN1ObjectIdentifier id_ecdsa_with_sha3_384

      2.16.840.1.101.3.4.3.11

    - #### id_ecdsa_with_sha3_512

          static final ASN1ObjectIdentifier id_ecdsa_with_sha3_512

      2.16.840.1.101.3.4.3.12

    - #### id_rsassa_pkcs1_v1_5_with_sha3_224

          static final ASN1ObjectIdentifier id_rsassa_pkcs1_v1_5_with_sha3_224

      2.16.840.1.101.3.4.3.13

    - #### id_rsassa_pkcs1_v1_5_with_sha3_256

          static final ASN1ObjectIdentifier id_rsassa_pkcs1_v1_5_with_sha3_256

      2.16.840.1.101.3.4.3.14

    - #### id_rsassa_pkcs1_v1_5_with_sha3_384

          static final ASN1ObjectIdentifier id_rsassa_pkcs1_v1_5_with_sha3_384

      2.16.840.1.101.3.4.3.15

    - #### id_rsassa_pkcs1_v1_5_with_sha3_512

          static final ASN1ObjectIdentifier id_rsassa_pkcs1_v1_5_with_sha3_512

      2.16.840.1.101.3.4.3.16

    - #### id_ml_dsa_44

          static final ASN1ObjectIdentifier id_ml_dsa_44

      2.16.840.1.101.3.4.3.17

    - #### id_ml_dsa_65

          static final ASN1ObjectIdentifier id_ml_dsa_65

      2.16.840.1.101.3.4.3.18

    - #### id_ml_dsa_87

          static final ASN1ObjectIdentifier id_ml_dsa_87

      2.16.840.1.101.3.4.3.19

    - #### id_hash_ml_dsa_44_with_sha512

          static final ASN1ObjectIdentifier id_hash_ml_dsa_44_with_sha512

      2.16.840.1.101.3.4.3.32

    - #### id_hash_ml_dsa_65_with_sha512

          static final ASN1ObjectIdentifier id_hash_ml_dsa_65_with_sha512

      2.16.840.1.101.3.4.3.33

    - #### id_hash_ml_dsa_87_with_sha512

          static final ASN1ObjectIdentifier id_hash_ml_dsa_87_with_sha512

      2.16.840.1.101.3.4.3.34

    - #### id_slh_dsa_sha2_128s

          static final ASN1ObjectIdentifier id_slh_dsa_sha2_128s

      2.16.840.1.101.3.4.3.20

    - #### id_slh_dsa_sha2_128f

          static final ASN1ObjectIdentifier id_slh_dsa_sha2_128f

      2.16.840.1.101.3.4.3.21

    - #### id_slh_dsa_sha2_192s

          static final ASN1ObjectIdentifier id_slh_dsa_sha2_192s

      2.16.840.1.101.3.4.3.22

    - #### id_slh_dsa_sha2_192f

          static final ASN1ObjectIdentifier id_slh_dsa_sha2_192f

      2.16.840.1.101.3.4.3.23

    - #### id_slh_dsa_sha2_256s

          static final ASN1ObjectIdentifier id_slh_dsa_sha2_256s

      2.16.840.1.101.3.4.3.24

    - #### id_slh_dsa_sha2_256f

          static final ASN1ObjectIdentifier id_slh_dsa_sha2_256f

      2.16.840.1.101.3.4.3.25

    - #### id_slh_dsa_shake_128s

          static final ASN1ObjectIdentifier id_slh_dsa_shake_128s

      2.16.840.1.101.3.4.3.26

    - #### id_slh_dsa_shake_128f

          static final ASN1ObjectIdentifier id_slh_dsa_shake_128f

      2.16.840.1.101.3.4.3.27

    - #### id_slh_dsa_shake_192s

          static final ASN1ObjectIdentifier id_slh_dsa_shake_192s

      2.16.840.1.101.3.4.3.28

    - #### id_slh_dsa_shake_192f

          static final ASN1ObjectIdentifier id_slh_dsa_shake_192f

      2.16.840.1.101.3.4.3.29

    - #### id_slh_dsa_shake_256s

          static final ASN1ObjectIdentifier id_slh_dsa_shake_256s

      2.16.840.1.101.3.4.3.30

    - #### id_slh_dsa_shake_256f

          static final ASN1ObjectIdentifier id_slh_dsa_shake_256f

      2.16.840.1.101.3.4.3.31

    - #### id_hash_slh_dsa_sha2_128s_with_sha256

          static final ASN1ObjectIdentifier id_hash_slh_dsa_sha2_128s_with_sha256

      2.16.840.1.101.3.4.3.35

    - #### id_hash_slh_dsa_sha2_128f_with_sha256

          static final ASN1ObjectIdentifier id_hash_slh_dsa_sha2_128f_with_sha256

      2.16.840.1.101.3.4.3.36

    - #### id_hash_slh_dsa_sha2_192s_with_sha512

          static final ASN1ObjectIdentifier id_hash_slh_dsa_sha2_192s_with_sha512

      2.16.840.1.101.3.4.3.37

    - #### id_hash_slh_dsa_sha2_192f_with_sha512

          static final ASN1ObjectIdentifier id_hash_slh_dsa_sha2_192f_with_sha512

      2.16.840.1.101.3.4.3.38

    - #### id_hash_slh_dsa_sha2_256s_with_sha512

          static final ASN1ObjectIdentifier id_hash_slh_dsa_sha2_256s_with_sha512

      2.16.840.1.101.3.4.3.39

    - #### id_hash_slh_dsa_sha2_256f_with_sha512

          static final ASN1ObjectIdentifier id_hash_slh_dsa_sha2_256f_with_sha512

      2.16.840.1.101.3.4.3.40

    - #### id_hash_slh_dsa_shake_128s_with_shake128

          static final ASN1ObjectIdentifier id_hash_slh_dsa_shake_128s_with_shake128

      2.16.840.1.101.3.4.3.41

    - #### id_hash_slh_dsa_shake_128f_with_shake128

          static final ASN1ObjectIdentifier id_hash_slh_dsa_shake_128f_with_shake128

      2.16.840.1.101.3.4.3.42

    - #### id_hash_slh_dsa_shake_192s_with_shake256

          static final ASN1ObjectIdentifier id_hash_slh_dsa_shake_192s_with_shake256

      2.16.840.1.101.3.4.3.43

    - #### id_hash_slh_dsa_shake_192f_with_shake256

          static final ASN1ObjectIdentifier id_hash_slh_dsa_shake_192f_with_shake256

      2.16.840.1.101.3.4.3.44

    - #### id_hash_slh_dsa_shake_256s_with_shake256

          static final ASN1ObjectIdentifier id_hash_slh_dsa_shake_256s_with_shake256

      2.16.840.1.101.3.4.3.45

    - #### id_hash_slh_dsa_shake_256f_with_shake256

          static final ASN1ObjectIdentifier id_hash_slh_dsa_shake_256f_with_shake256

      2.16.840.1.101.3.4.3.46

    - #### kems

          static final ASN1ObjectIdentifier kems

      2.16.840.1.101.3.4.4

    - #### id_alg_ml_kem_512

          static final ASN1ObjectIdentifier id_alg_ml_kem_512

      2.16.840.1.101.3.4.4.1

    - #### id_alg_ml_kem_768

          static final ASN1ObjectIdentifier id_alg_ml_kem_768

      2.16.840.1.101.3.4.4.2

    - #### id_alg_ml_kem_1024

          static final ASN1ObjectIdentifier id_alg_ml_kem_1024

      2.16.840.1.101.3.4.4.3